JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.unix
Class X11.XButtonEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XButtonEvent

Direct Known Subclasses:
  X11.XButtonPressedEvent, X11.XButtonReleasedEvent

Enclosing interface:
  X11

    public static class X11.XButtonEvent

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` `button`
`X11.Display` `display`
`X11.Window` `root`
`int` `same_screen`
`int` `send_event`
`NativeLong` `serial`
`int` `state`
`X11.Window` `subwindow`
`NativeLong` `time`
`int` `type`
`X11.Window` `window`
`int` `x`
`int` `x_root`
`int` `y`
`int` `y_root`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XButtonEvent()`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### serial

    public NativeLong serial

### send_event

    public int send_event

### display

    public X11.Display display

### window

    public X11.Window window

### root

    public X11.Window root

### subwindow

    public X11.Window subwindow

### time

    public NativeLong time

### x

    public int x

### y

    public int y

### x_root

    public int x_root

### y_root

    public int y_root

### state

    public int state

### button

    public int button

### same_screen

    public int same_screen

Constructor Detail

### X11.XButtonEvent

    public X11.XButtonEvent()

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.